### Method

# Fwupd Device has_checksum

#### Declaration [src]

    gboolean
    fwupd_device_has_checksum (
      FwupdDevice* self,
      const gchar* checksum
    )

#### Description [src]

Finds out if the device has this specific checksum.

Available since: | 1.8.7

#### Parameters

`checksum` | `const gchar*`
| The device checksum.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the checksum name is found.